手写bug(7.24)

手写bug(7.24)

1. block-scoped declarations l(let,const,function,class)not yet supported outside strict mode?
解决:
1.用var 代替let
2.在js开头严格模式:

 'use strict';

2. ‘webpack-dev-server’ 不是内部或外部命令,也不是可运行的程序
解决:使用webpack的时候,不仅要安装webpack;还要安装webpack-dev-server和webpack-dev-server;

npm install webpack webpack-dev-server webpack-cli --save-dev

**3.**在vue中使用less并且安装过loader;Module build failed: TypeError: loaderContext.getResolve is not a function
解决:

npm install less-loader@4.1.0 --save

4. npm install 超时;

换源:
npm config set registry https://registry.npm.taobao.org

查看源:

npm config get registry

查看npm安装的位置:

npm config get prefix

可以查看配置的相关路径;* 在这里插入代码片

*path
  • 1
    点赞
  • 0
    评论
  • 0
    收藏
  • 打赏
    打赏
  • 扫一扫,分享海报

©️2022 CSDN 皮肤主题:数字20 设计师:CSDN官方博客 返回首页

打赏作者

肥猫不是喵

你的鼓励将是我创作的最大动力

¥2 ¥4 ¥6 ¥10 ¥20
输入1-500的整数
余额支付 (余额:-- )
扫码支付
扫码支付:¥2
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值